unit Unit1;

interface
{
     1       Invalid Source File Name
     2       Invalid Destination File Name
     3       The Source And Destination File Coincides
     4       The Source File Do Not Exist
     5       The Destination File Alredy Exist
}
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, T_BIANCOCOPY;
CONST
 ERRO:ARRAY[1..5] OF STRING=('Invalid Source File Name',
                             'Invalid Destination File Name',
                             'The Source And Destination File Coincides',
                             'The Source File Do Not Exist',
                             'The Destination File Alredy Exist');
type
  TForm1 = class(TForm)
    COP: TBiancoCopyFile;
    O: TOpenDialog;
    FR: TButton;
    Label1: TLabel;
    Button1: TButton;
    Label2: TLabel;
    EX: TButton;
    Label3: TLabel;
    GroupBox1: TGroupBox;
    r1: TRadioButton;
    r2: TRadioButton;
    cb: TCheckBox;
    procedure FRClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure EXClick(Sender: TObject);
    procedure r1Click(Sender: TObject);
    procedure cbClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FRClick(Sender: TObject);
begin
 IF O.EXECUTE THEN
  BEGIN
   COP.SOURCEFILE:=O.FILENAME;
   LABEL1.CAPTION:=O.FILENAME;
  END;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 IF O.EXECUTE THEN
  BEGIN
   COP.DESTINATIONFILE:=O.FILENAME;
   LABEL2.CAPTION:=O.FILENAME;
  END;
end;

procedure TForm1.EXClick(Sender: TObject);
VAR
 T:TDATETIME;
begin
 T:=NOW;
 IF COP.EXECUTE THEN
  LABEL3.CAPTION:='Success... ('+TIMETOSTR(NOW-T)+'Seconds)'
 ELSE
  BEGIN
   LABEL3.CAPTION:='Failed';
   IF COP.LastError>0 THEN
    SHOWMESSAGE(ERRO[COP.LastError]);
  END;
 End;

procedure TForm1.r1Click(Sender: TObject);
begin
 if R1.checked then
  cop.CopyMode:=cmAsIs
 else
  cop.copymode:=cmExpand;
 cb.enabled:=r1.checked; 
end;

procedure TForm1.cbClick(Sender: TObject);
begin
 cop.SameAttributes:=cb.checked;
end;

end.
